#ifndef MYMODEL_H
#define MYMODEL_H

#include <QtCore/QAbstractItemModel>

QT_BEGIN_NAMESPACE
class QSqlQueryModel;
QT_END_NAMESPACE

const int MY_MODEL_ID_COLUMN = 0;
const int MY_MODEL_COLOR_COLUMN = 1;

class MyModel : public QAbstractItemModel
{
    Q_OBJECT
public:
    explicit MyModel(QObject *parent = 0);
    ~MyModel();

    bool select();

    QModelIndex index(int row, int column, const QModelIndex &parent = QModelIndex()) const;
    QModelIndex parent(const QModelIndex &child) const;

    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;

    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;

private:
    QSqlQueryModel *const m_model;
};

#endif // MYMODEL_H
